#ifndef __XMMS_PLAYER__
#define __XMMS_PLAYER__

#include "playerinterface.h"

#ifdef HAVE_XMMS
#include <glib.h>
#include <glibconfig.h>

class XMMSPlayer:public PlayerInterface {  
  
 public:
  XMMSPlayer(bool, bool);
  ~XMMSPlayer();

  virtual void startPlayer();
  virtual void exitPlayer();
  
  virtual void previous();
  virtual void play();
  virtual void pause();
  virtual void stop();
  virtual void next();

  virtual void setVolume(int);
  virtual void setCurrentTime(int);  
  virtual void toggleRepeat();
  virtual void toggleShuffle();
  
  virtual int getVolume();
  virtual int getCurrentTime();
  virtual int getTrackTime();
  virtual QString getTitle();
  virtual bool getRepeat();
  virtual bool getShuffle();
  virtual bool isPlaying();
  virtual bool isPlayerRunning();

  virtual void openFileSelector();
  virtual void playlistClear();
  virtual void playlistAdd(QString);
  virtual void playlistAdd(QStringList);

  virtual Player is() { return XMMS; }

  void minimize(bool, bool);

 private:
  bool running;  
  bool minimizePlayer;
  bool minimizePlaylist;
};

#else

class XMMSPlayer:public PlayerInterface {  
  
 public:
  XMMSPlayer() {}
  ~XMMSPlayer() {}
};
#endif

#endif
